Domains & endpoints
Production base URLs and common API paths for Canopi integrators.
Base URLs
| Service | URL |
|---|---|
| API | https://api.canopi.live |
| App | https://app.canopi.live |
| WebSocket | wss://api.canopi.live/ws |
| Embed loader | https://app.canopi.live/embed/v1.js |
| Extension build info | https://app.canopi.live/.build-info.json |
Auth
| Method | Path | Description |
|---|---|---|
| POST | /api/auth/web3auth | Exchange Web3Auth session for Canopi JWT |
| GET | /api/auth/config | Public auth provider config |
Embeds
| Method | Path | Auth | Description |
|---|---|---|---|
| GET | /api/embeds/config/:canopiId | Public | Embed runtime config |
| GET | /api/embeds/client-config | Public | Global client flags |
| POST | /api/embeds/instances | JWT | Create embed instance |
| GET | /api/embeds/instances | JWT | List instances |
| GET | /api/embeds/instances/:id | JWT | Get instance |
| PUT | /api/embeds/instances/:id | JWT | Update instance |
| DELETE | /api/embeds/instances/:id | JWT | Delete instance |
| POST | /api/embeds/analytics/events | Public | Ingest analytics event |
Messages
| Method | Path | Auth | Description |
|---|---|---|---|
| GET | /api/messages | Optional | List messages (page-scoped) |
| POST | /api/messages | JWT | Create message |
| GET | /api/messages/:id | Optional | Get message |
| PATCH | /api/messages/:id | JWT | Update message |
| DELETE | /api/messages/:id | JWT | Delete message |
| GET | /api/messages/tag-counts | Public | Page tag counts |
Users
| Method | Path | Auth | Description |
|---|---|---|---|
| GET | /api/users/preferences | JWT | User preferences |
| GET | /api/users/me/social-links | JWT | Social links |
| PATCH | /api/users/me/social-links | JWT | Update social links |
| GET | /api/users/search | Public | User search |
Communities
| Method | Path | Auth | Description |
|---|---|---|---|
| GET | /api/auth-communities/stats | Public | Logo cloud stats |
Health
http
GET https://api.canopi.live/healthStatic embed assets
| Path | Description |
|---|---|
/embed/logo-cloud.html | Logo cloud iframe page |
/embed/logo-cloud-embed.js | Logo cloud script embed |
/embed/v1.js | Main embed loader |
/assets/auth-logos/*.svg | Auth provider logos |
Rate limits & uploads
- Attachment uploads: max 10 MB (nginx
client_max_body_size 12mon api.canopi.live) - Authenticated endpoints return
401without valid Bearer JWT

